Plugins compatibility

compatibility
sonarqube

(Hugo) #1

Hello.

I’ve trying to find out the compatibility, with SonarQube 7.2 (Latest Version), for the following plugins:

  • SonarCXX
  • TFVC
  • Timeline
  • Git

Can anyone help me and confirm if this plugins are compatible with the latest version of SonarQube?

Thanks.


(Nicolas Bontoux) #2

Hi,

The go-to resource for plugin compatibility is the one-and-only Plugin Version Matrix .

For plugins that are not listed there (i.e. plugins not distributed via SonarQube Marketplace) you need to enquire the plugin maintainers directly.


(Hugo) #3

I had already tried that but I could not find those plugins in the Plugin Version Matrix.


(G Ann Campbell) #4

Hi,

Starting with 7.2, the Git plugin is shipped with the platform; by default you get a compatible version.

Timeline isn’t compatible past… 6.2 IIRC. It adds a dashboard widget and there are no dashboards in 7.2.

For SonarCXX, there’s a different community. You should look there for the answer.

For TFVC, this information is in fact in the Plugin Version Matrix.

Ann